require 'uu/os/rest/dto'
require 'uu/os/uesuri'

module UU
  module Finman
    module BusinessCase
      # Value object containing attributes available to generate report on a Business Case entity.
      class BusinessCaseGenerateReport < UU::OS::REST::DTO

        # Start generating date
        # Required attribute. Cannot be null.
        # @param [String]
        # @return [String]
        attr_accessor :date_from

        # End generating date
        # Required attribute. Cannot be null.
        # @param [String]
        # @return [String]
        attr_accessor :date_to

        # Generate bc without subs
        # @param [TrueClass, FalseClass]
        # @return [TrueClass, FalseClass]
        attr_accessor :bc_without_subs

        # Generate bc with subs
        # @param [TrueClass, FalseClass]
        # @return [TrueClass, FalseClass]
        attr_accessor :bc_with_subs

        # Generate content
        # @param [TrueClass, FalseClass]
        # @return [TrueClass, FalseClass]
        attr_accessor :report_type_content

        # Generate attachment
        # @param [TrueClass, FalseClass]
        # @return [TrueClass, FalseClass]
        attr_accessor :report_type_attachment

        # Item from enumeration {UU::Finman::BusinessCase::BusinessCaseAttachmentReportType} attachment type
        # Required attribute. Cannot be null.
        # @param [UU::Finman::BusinessCase::BusinessCaseAttachmentReportType]
        # @return [UU::Finman::BusinessCase::BusinessCaseAttachmentReportType]
        attr_accessor :attachment_type



        def date_from
          attributes[:dateFrom]
        end

        def date_from=(val)
          attributes[:dateFrom] = val
        end

        def date_to
          attributes[:dateTo]
        end

        def date_to=(val)
          attributes[:dateTo] = val
        end

        def bc_without_subs
          attributes[:bcWithoutSubs]
        end

        def bc_without_subs=(val)
          attributes[:bcWithoutSubs] = val
        end

        def bc_with_subs
          attributes[:bcWithSubs]
        end

        def bc_with_subs=(val)
          attributes[:bcWithSubs] = val
        end

        def report_type_content
          attributes[:reportTypeContent]
        end

        def report_type_content=(val)
          attributes[:reportTypeContent] = val
        end

        def report_type_attachment
          attributes[:reportTypeAttachment]
        end

        def report_type_attachment=(val)
          attributes[:reportTypeAttachment] = val
        end

        def attachment_type
          attributes[:attachmentType]
        end

        def attachment_type=(val)
          attributes[:attachmentType] = val
        end

      end
    end
  end
end
